import 'dart:io';
import 'option.dart';

class Terminal {

String collectInput() {

  return stdin.readLineSync();
}

void printPrompt(String prompt) {

stdout.writeln(prompt);

}


void printOptions(List<Option> options) {

// iterative version
// for (var i = 0; i < options.length; i++) {
//     stdout.writeln('[$i] - ${options[i].label}');
// }

// non iterative functional version using map
options.asMap().forEach((index, options) {

  stdout.writeln('[$index] - ${options.label}');

});

    stdout.writeln('Enter a choice\n');
    stdout.write('>');
  
}

void clearScreen() {
   if(Platform.isWindows) {
        stdout.write('\x1B[2J\x1B[0f');
   } else {
        stdout.write('\x1B[2J\x1B[3J\x1B[H');
   }

}

}